> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/ro/documentatie-api/geopard-api-requests-overview/55.-upload-zip-files-over-6-mb.md).

# 55. Încarcă fișiere zip (peste 6 MB)

Din cauza unei limitări tehnice a furnizorului cloud AWS, încărcarea fișierelor mai mari de 6 MB trebuie făcută în 2 pași:

#### **1. Solicitați linkul presemnat pentru încărcarea directă ulterioară.** <a href="#step1" id="step1"></a>

Ca date de intrare:

* `fileType` - `yield` SAU `soil` SAU `applied` SAU `adapt` SAU `boundary`,
* `farmUuid` (opțional) – UUID-ul fermei în care se importă fișierul.

Ca date de ieșire:

* `uuid` – UUID-ul așteptat după încărcare și procesare,
* `farmUuid` – același ca la intrare,
* `fileType` – același ca la intrare,
* `s3Url` – URL-ul folosit pentru încărcarea fișierului,
* `s3Fields` – atributele de transmis în formularul de încărcare a fișierului.

Detaliile despre utilizarea `s3Url` și `s3Fields` sunt descrise în al doilea pas.

Atributele sunt valabile doar 60 de minute pentru încărcarea fișierului.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation GeneratePresignedPostFileData {
  generatePresignedPostFileData(input:{
    fileType: applied
    farmUuid: "8bba5132-3a92-4ce1-8699-220e78ad68bd"
  } ) {
    uuid
    farmUuid
    fileType
    s3Url
    s3Fields
  }
}

```

{% endcode %}

#### **2. Trimiteți un fișier local la s3Url, folosind atributele de formular predefinite din s3Fields.** <a href="#step2" id="step2"></a>

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl --location --request POST '<s3Url>' \
--form 'key="<value_in_s3Fields>"' \
--form 'AWSAccessKeyId="<value_in_s3Fields>"' \
--form 'x-amz-security-token="<value_in_s3Fields>"' \
--form 'policy="<value_in_s3Fields>"' \
--form 'signature="<value_in_s3Fields>"' \
--form 'file=@"<local_file_path>"'
```

{% endcode %}

Notificările despre procesare vor fi livrate prin mecanismul de abonare descris în\
[1. Abonare: obțineți evenimente](https://docs.geopard.tech/geopard-tutorials/ro/documentatie-api/geopard-api-requests-overview/1.-subscription-get-events.md).

{% hint style="info" %}
Antetul răspunsului include un antet `Etag` care apare, de exemplu, astfel: `Etag: "6fd3e76992738357ab50039f2c60024e"`. Această valoare este utilizată ulterior în GraphQL [query getPlatformContext](https://docs.geopard.tech/geopard-tutorials/ro/documentatie-api/geopard-api-requests-overview/83.-query-collect-platform-context.md) pentru a monitoriza progresul procesării, precum și asocierea cu entitățile „Field”, „AsAppliedDataset”, „YieldDataset” și „SoilDataset”.
{% endhint %}

{% hint style="info" %}
Utilizați `‘Accept-Encoding’:’gzip, deflate, br’`.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/ro/documentatie-api/geopard-api-requests-overview/55.-upload-zip-files-over-6-mb.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
